# WonderOracleDatabase

> Compartilhamento de configuração de banco oracle para projetos Rails da Wonder Sistemas.

## Instalação

Adicione essa linha ao Gemfile:

```ruby
gem 'wonder_oracle_database'
```

Então execute:

    $ bundle

## Uso

Altere o arquivo de configuração de banco:

```yaml
# config/database.yml
<% datasource = WonderOracleDatabase.load %>

default:                  &default
  nls_numeric_characters: '.,'
  adapter:                <%= datasource ? datasource[:adapter] : 'postgresql' %>
  database:               <%= datasource ? datasource[:database] : 'database_development' %>
  encoding:               <%= datasource ? datasource[:encoding] : 'unicode' %>
<% if datasource %>
  username:               <%= datasource[:username] %>
  password:               <%= datasource[:password] %>
<% end %>

test:
  adapter:                postgresql
  database:               database_test
  encoding:               unicode
  pool:                   8

development:
  <<:                     *default

production:
  <<:                     *default
```

O WonderOracleDatabase uitliza a variável de ambiente `DATABASE_URL`ou `W_HOST_DB_SERVER` para buscar os dados.
